Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1695641

Summary: gnome-shell --mode=initial-setup fails on the Raspberry Pi 3
Product: [Fedora] Fedora Reporter: Paul Whalen <pwhalen>
Component: gnome-shellAssignee: Florian Müllner <fmuellner>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 30CC: fmuellner, gnome-sig, jadahl, otaylor
Target Milestone: ---   
Target Release: ---   
Hardware: aarch64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
full backtrace gdb none

Description Paul Whalen 2019-04-03 13:34:49 UTC
Description of problem:

[root@rpi3-1 ~]# coredumpctl info
           PID: 1230 (gnome-shell)
           UID: 983 (gnome-initial-setup)
           GID: 980 (gnome-initial-setup)
        Signal: 6 (ABRT)
     Timestamp: Tue 2019-04-02 13:20:41 EDT (32min ago)
  Command Line: gnome-shell --mode=initial-setup
    Executable: /usr/bin/gnome-shell
 Control Group: /user.slice/user-983.slice/session-c1.scope
          Unit: session-c1.scope
         Slice: user-983.slice
       Session: c1
     Owner UID: 983 (gnome-initial-setup)
       Boot ID: 9325b5bd76cb4eb28941b34a2a985924
    Machine ID: d295609b1c7d49648c667ed5bdd8e641
      Hostname: rpi3-1.friendly-neighbours.com
       Storage: /var/lib/systemd/coredump/core.gnome-shell.983.9325b5bd76cb4eb28941b34a2a985924.1230.1554225641000000.lz4
       Message: Process 1230 (gnome-shell) of user 983 dumped core.
                
                Stack trace of thread 1230:
                #0  0x0000ffff9d145c40 raise (libc.so.6)
                #1  0x0000aaaaac66ca44 n/a (gnome-shell)
                #2  0x0000ffff9e56b67c n/a (linux-vdso.so.1)
                #3  0x0000ffff9e56b67c n/a (linux-vdso.so.1)
                #4  0x0000ffffc3ee31a8 n/a (n/a)
                #5  0x0000ffff9d133aa8 abort (libc.so.6)
                #6  0x0000ffff95f10e70 n/a (vc4_dri.so)

Version-Release number of selected component (if applicable):
gnome-shell-3.32.0-1.fc30.aarch64

How reproducible:
Everytime

Steps to Reproduce:
1. Boot a Fedora 30 Workstation aarch64 image on the Raspberry Pi 3
2. initial-setup will fail to start

Comment 1 Paul Whalen 2019-04-08 13:12:15 UTC
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x0000ffffb3999700 in JSCompartment::leave (this=0x10) at /usr/src/debug/mozjs60-60.4.0-5.fc30.aarch64/vm/JSCompartment.h:649
649             enterCompartmentDepth--;
[Current thread is 1 (Thread 0xffffb1dbc5a0 (LWP 959))]
(gdb) bt
#0  0x0000ffffb3999700 in JSCompartment::leave (this=0x10) at /usr/src/debug/mozjs60-60.4.0-5.fc30.aarch64/vm/JSCompartment.h:649
#1  0x0000ffffb399985c in JSContext::leaveCompartment (this=0xffffce5726d0, oldCompartment=
    0xffffb409cdfc <js::RegExpShared::execute(JSContext*, JS::MutableHandle<js::RegExpShared*>, JS::Handle<JSLinearString*>, unsigned long, js::VectorMatchPairs*, unsigned long*)+1084>,
    maybeLock=0x0) at /usr/src/debug/mozjs60-60.4.0-5.fc30.aarch64/vm/JSContext-inl.h:530
#2  0x0000ffffb3e724bc in JSAutoCompartment::~JSAutoCompartment (this=0xffffce572630, __in_chrg=<optimized out>) at /usr/src/debug/mozjs60-60.4.0-5.fc30.aarch64/jsapi.cpp:737
#3  0x0000ffffb6f6ed50 in closure_marshal (closure=<optimized out>, return_value=<optimized out>, n_param_values=<optimized out>, param_values=<optimized out>,
    invocation_hint=<optimized out>, marshal_data=<optimized out>) at /usr/include/mozjs-60/mozilla/Vector.h:461
#4  0x0000ffffb7953028 in g_closure_invoke (closure=0xaaaabb227ce0, return_value=0x0, n_param_values=2, param_values=0xffffce57ba60, invocation_hint=0xffffce57ba18)
    at ../gobject/gclosure.c:810
#5  0x0000ffffb7967b94 in signal_emit_unlocked_R (node=node@entry=0xaaaab93cba90, detail=2709, detail@entry=0, instance=instance@entry=0xaaaabb11d1e0,
    emission_return=emission_return@entry=0x0, instance_and_params=0xffffce57ba60, instance_and_params@entry=0x0) at ../gobject/gsignal.c:3635
#6  0x0000ffffb796ffc0 in g_signal_emit_valist (instance=instance@entry=0xaaaabb11d1e0, signal_id=signal_id@entry=1, detail=<optimized out>, var_args=...) at ../gobject/gsignal.c:3391
#7  0x0000ffffb7970618 in g_signal_emit (instance=instance@entry=0xaaaabb11d1e0, signal_id=signal_id@entry=1, detail=<optimized out>) at ../gobject/gsignal.c:3447
#8  0x0000ffffb7958030 in g_object_dispatch_properties_changed (object=0xaaaabb11d1e0, n_pspecs=<optimized out>, pspecs=<optimized out>) at ../gobject/gobject.c:1088
#9  0x0000ffffb795a774 in g_object_notify_by_spec_internal (pspec=<optimized out>, object=0xaaaabb11d1e0) at ../gobject/gobject.c:1181
#10 g_object_notify (object=object@entry=0xaaaabb11d1e0, property_name=0xffffb62b1280 "active-access-point") at ../gobject/gobject.c:1229
#11 0x0000ffffb622de90 in deferred_notify_cb (data=data@entry=0xaaaabb11d1e0) at libnm/nm-object.c:227
#12 0x0000ffffb7849660 in g_idle_dispatch (source=0xaaaabb125380, callback=0xffffb622dd70 <deferred_notify_cb>, user_data=0xaaaabb11d1e0) at ../glib/gmain.c:5627
#13 0x0000ffffb784d03c in g_main_dispatch (context=0xaaaab93c9f90) at ../glib/gmain.c:3189
#14 g_main_context_dispatch (context=context@entry=0xaaaab93c9f90) at ../glib/gmain.c:3854
#15 0x0000ffffb784d3d8 in g_main_context_iterate (context=0xaaaab93c9f90, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:3927
#16 0x0000ffffb784d788 in g_main_loop_run (loop=0xaaaab9536620) at ../glib/gmain.c:4123
#17 0x0000ffffb6c0cbc0 in meta_run () at ../src/core/main.c:683
#18 0x0000aaaab5ce6300 in main (argc=<optimized out>, argv=<optimized out>) at ../src/main.c:499

Comment 2 Paul Whalen 2019-04-08 13:14:22 UTC
Created attachment 1553617 [details]
full backtrace gdb

Comment 3 Fedora Admin XMLRPC Client 2020-01-15 16:19:49 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.